%define modname psycopg2
Name:           python-%{modname}
URL:            http://initd.org/projects/psycopg1
Summary:        A PostgreSQL database adapter for Python
Version:        2.2.1
Release:        2.2
License:        GPL
Group:          Development/Libraries/Python
Source:         %{modname}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
%{py_requires}
BuildRequires:  python-devel postgresql-devel

%description
psycopg is a PostgreSQL database adapter for the Python programming language.
This is version 2, a complete rewrite of the original code to provide
new-style classes for connection and cursor objects and other sweet candies.
Like the original, psycopg 2 was written with the aim of being very small and
fast, and stable as a rock.

psycopg is different from the other database adapter because it was designed
for heavily multi-threaded applications that create and destroy lots of
cursors and make a conspicuous number of concurrent INSERTs or UPDATEs.
psycopg 2 also provide full asycronous operations for the really brave
programmer.

Authors:
--------
    Federico Di Gregorio <fog@initd.org>

%prep
%setup -q -n %{modname}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES

%clean
rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc doc examples AUTHORS ChangeLog PKG-INFO README

%changelog
* Mon May 31 2010 Carsten Schoene <cs@linux-administrator.com> - 2.2.1-1
- update to release 2.2.1

* Thu Nov 20 2008 - James Oakley <jfunk@funktronics.ca> - 2.0.8-1
- Update to 2.0.8

* Fri Jan 19 2007 - Cristian Rodriguez <judas_iscariote@shorewall.net> - 2.0.5.1-1
- Update version
- compile with -fno-strict-aliasing otherwise gcc complains.
- deactivate unneeded patches.
* Wed Jul 26 2006 - James Oakley <jfunk@funktronics.ca> - 2.0.2-10
- Disable debugging

* Thu Jun 22 2006 - James Oakley <jfunk@funktronics.ca> - 2.0.2-1
- Update

* Wed Oct 19 2005 - James Oakley <jfunk@funktronics.ca> - 2.0-ft.1
- Initial release
